# Set-RASAllowedDevicesSetting.md

## NAME

Set-RASAllowedDevicesSetting

## SYNOPSIS

Modifies the types of clients that are allowed to connect.

## SYNTAX

\*\*Set-RASAllowedDevicesSetting \[[AllowClientAndroid](#allowclientandroid-string) *(bool)*] \[[AllowClientChromeApp](#allowclientchromeapp-string) *(bool)*] \[[AllowClientIOS](#allowclientios-string) *(bool)*] \[[AllowClientLinux](#allowclientlinux-string) *(bool)*] \[[AllowClientMAC](#allowclientmac-string) *(bool)*] \[-[AllowClientMode](#AllowClientMode) {AllowAllClientsConnectToSystem | AllowSelectedClientsConnectToSystem | AllowSelectedClientsListPublishedItems}] \[[AllowClientWeb](#allowclientweb-string) *(bool)*] \[[AllowClientWindows](#allowclientwindows-string) *(bool)*] \[[AllowClientWithSecurityPatchesOnly](#allowclientwithsecuritypatchesonly-string) *(bool)*] \[[AllowClientWyse](#allowclientwyse-string) *(bool)*] \[[MinBuildAndroid](#minbuildandroid-string) *(uint)*] \[[MinBuildChromeApp](#minbuildchromeapp-string) *(uint)*] \[[MinBuildIOS](#minbuildios-string) *(uint)*] \[[MinBuildLinux](#minbuildlinux-string) *(uint)*] \[[MinBuildMAC](#minbuildmac-string) *(uint)*] \[[MinBuildWeb](#minbuildweb-string) *(uint)*] \[[MinBuildWindows](#minbuildwindows-string) *(uint)*] \[[MinBuildWyse](#minbuildwyse-string) *(uint)*] \[[ReplicateSettings](#replicatesettings-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet allows you to individually set permission of types of clients to connect.

## PARAMETERS

## SiteId (uint)

The site ID to which the allowed device settings refer.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientWithSecurityPatchesOnly (bool)

Allow clients with security patches only.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientMode

([AllowClientMode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/allowclientmode.md)) Set the permission mode for allowing types of clients.

Possible values: AllowAllClientsConnectToSystem, AllowSelectedClientsConnectToSystem, AllowSelectedClientsListPublishedItems

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientChromeApp (bool)

Allow ChromeApp clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientAndroid (bool)

Allow Android clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientWeb (bool)

Allow Web clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientIOS (bool)

Allow IOS clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientLinux (bool)

Allow Linux clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientMAC (bool)

Allow Mac clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientWindows (bool)

Allow Windows clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowClientWyse (bool)

Allow Wyse clients.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplicateSettings (bool)

Enable/disable replication of settings to other sites.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildChromeApp (uint)

Represents the minimum build required for the Chromeapp client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildAndroid (uint)

Represents the minimum build required for the Droid client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildWeb (uint)

Represents the minimum build required for the Web client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildIOS (uint)

Represents the minimum build required for the IOS client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildLinux (uint)

Represents the minimum build required for the Linux client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildMAC (uint)

Represents the minimum build required for the Mac client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildWindows (uint)

Represents the minimum build required for the Windows client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MinBuildWyse (uint)

Represents the minimum build required for the Wyse client.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RASAllowedDevicesSetting](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasalloweddevicessetting.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASAllowedDevicesSetting -AllowClientMAC $false

Prohibits MAC clients to be connected.\
\*\*---------- EXAMPLE 2 ----------

Set-RASAllowedDevicesSetting -AllowClientMode AllClientsConnectToSystem -AllowClientMACOS $false

Allows all clients to connect to the system, and prohibits MAC clients.

## RELATED LINKS

* [Get-RASAllowedDevicesSetting](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasalloweddevicessetting.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasalloweddevicessetting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
